/*
1. The first query is to get the total book counts related to each country.
SELECT 
  Year(cout) AS Years,
    COUNT(IF(Lower(title) LIKE '%china%' or Lower(title) like '%chinese%' or callNumber like '%chinese%',
        1, NULL)) AS 'China',
    COUNT(IF(lower(title) LIKE '%india%' or lower(title) like '%indian%',
        1,
        NULL)) AS 'India',
  COUNT(IF(lower(title) LIKE '%japan%' or lower(title) like '%japanese%' or callNumber like '%japanese%',
        1,
        NULL)) AS 'Japan',
  COUNT(IF(lower(title) LIKE '%korea%' or lower(title) like '%korean%' or callNumber like '%korean%',
        1,
        NULL)) AS 'Korea',
  COUNT(IF(lower(title) LIKE '%vietnam%' or lower(title) like '%vietnamese%' or callNumber like '%vietnamese%',
        1,
        NULL)) AS 'Vietnam'
FROM
    spl_2016.outraw 
WHERE
  YEAR(cout) < 2022
GROUP BY Years
ORDER BY Years


2. The second query is to get the book details
SELECT 
    subject AS Countries,
    spl_2016.title.bibNumber AS BibNumbers,
    TIME(checkOut) AS Times,
    DATE(checkOut) AS Dates,
    title AS Titles,
    COUNT(title) AS Counts
FROM
    spl_2016.transactions,
    spl_2016.subject,
    spl_2016.title
WHERE
    spl_2016.transactions.bibNumber = spl_2016.subject.bibNumber
        AND spl_2016.transactions.bibNumber = spl_2016.title.bibNumber
        AND (subject = 'china' OR subject = 'india'
        OR subject = 'japan'
        OR subject = 'korea'
        OR subject = 'vietnam')


*/
